// 此次仅保存console.log的日志
const originalConsoleLog = console.log;

const isElectron = typeof nodeRequire != "undefined";
let log = null;
if (isElectron) {
  try {
    log = window.nodeRequire("electron-log");
  } catch (error) {
    console.debug(error);
  }
  console.log = function(...args) {
    log && log.info(...args);
    originalConsoleLog.call(window, ...args);
  };
}
